"use strict";

const template = require('./template-utils.js');
const comment = require('./comment.js');

const constantTemplate = template.compileFrom('constant-page.hbs');
const constantPage = (member) =>
    constantTemplate({
        comment: comment(member),
        name: member.name,
        slug: member.slug
    });

module.exports = constantPage;

