"use strict";

const template = require('./template-utils.js');
const comment = require('./comment.js');
const typeUtils = require('./type-utils.js');

const unionTemplate = template.compileFrom('union-page.hbs');
const unionPage = (member) =>
    unionTemplate({
        comment: comment(member),
        name: member.name,
        types: typeUtils.unionTypes(member),
        slug: member.slug
    });

module.exports = unionPage;

