[![Build Status](https://travis-ci.org/telerik/kendo-angular-tasks.svg?branch=master)](https://travis-ci.org/telerik/kendo-angular-tasks)
[![npm version](https://badge.fury.io/js/%40telerik%2Fkendo-angular-tasks.svg)](https://badge.fury.io/js/%40telerik%2Fkendo-angular-tasks)

An internal utility package exporting gulp tasks for the Kendo Angular 2 components infrastructure.

 - `gulp test` - runs the tests (single run); `TEST_BROWSER=Chrome gulp test` - runs the tests in specified browser;
 - `gulp watch-test` - runs the tests in continuous mode; `TEST_BROWSER=Chrome gulp watch-test` - runs the tests in specified browser;
 - `gulp build-npm-package` - packages the component in a format suitable for publishing as an NPM package (commonjs module)
 - `gulp build-cdn` - packages the component in a format suitable for CDN upload (UMD format)
 - `gulp start` - launches a dev server for preview/authoring of the examples
 - `gulp docs` - launches a dev server for preview/authoring of the documentation
