const os = require('os');
const path = require('path');

const jsonPath = path.join(os.tmpdir(), 'api.json');
const typedoc = {
    // TypeScript options
    module: 'commonjs',
    target: 'es5',
    experimentalDecorators: true,
    excludeExternals: true,
    includeDeclarations: true,

    // Output options
    json: jsonPath,

    // Typedoc options
    ignoreCompilerErrors: false
};

module.exports = {
    outPath: 'docs/api',
    warningsAsErrors: false,
    jsonPath: jsonPath,
    typedoc: typedoc
};
