"use strict";

const template = require('./template-utils.js');
const slug = require('./slug.js');

const indexTemplate = template.compileFrom('index-page.hbs');

const index = (projectName, members) =>
    indexTemplate({
        name: projectName,
        slug: slug(projectName),
        members: members
    });

module.exports = index;

